<template>
  <div>
    <v-navigation-drawer v-model="drawer" app clipped dark width="300">
      <template v-slot:prepend>
        <v-list-item two-line>
          <v-list-item-avatar>
            <v-avatar color="indigo" size="40">
              <span class="white--text headline">{{
                fullName | shortName
              }}</span>
            </v-avatar>
          </v-list-item-avatar>

          <v-list-item-content>
            <v-list-item-title>{{ fullName }}</v-list-item-title>
            <v-list-item-subtitle> {{ role }} </v-list-item-subtitle>
          </v-list-item-content>
        </v-list-item>
      </template>
      <v-divider />
      <DrawerMenu />
    </v-navigation-drawer>

    <v-app-bar
      app
      flat
      clipped-left
      color="#F9A825"
      dark
      class="header-v2-area"
      elevate-on-scroll
    >
      <v-app-bar-nav-icon @click.stop="drawer = !drawer"></v-app-bar-nav-icon>
      <v-icon class="mx-1">mdi-lock</v-icon>
      <v-toolbar-title class="align-center"
        ><span class="title default">{{ propTitle }}</span></v-toolbar-title
      >
      <v-spacer />
      <AppBarMenu />
    </v-app-bar>
  </div>
</template>

<script>
import AppBarMenu from "../../components/layout/AppBarMenu";
import DrawerMenu from "../../components/layout/DrawerMenu";
export default {
  props: ["propTitle"],
  components: {
    AppBarMenu,
    DrawerMenu,
  },
  data() {
    return {
      drawer: true,
      fullName: localStorage.getItem("fullName"),
      role: this.$store.getters["auth/roleUser"],
    };
  },
};
</script>

<style scoped lang="scss">
@import url("https://fonts.googleapis.com/css2?family=Kanit:wght@100&dis");

html,
body {
  font-family: "Kanit", sans-serif;
}

#app {
  font-family: "Kanit", sans-serif;
}

.default {
  cursor: pointer;
}
</style>
